%define anolis_release 1
# This needs to be changed accordingly to the application for what tracker-miners is bundled,
# e.g. for gnome-books, it would be org.gnome.Books
%{!?domain_ontology: %global domain_ontology org.freedesktop}

%global with_enca 0
%global with_libcue 0
%global with_rss 0

%global tracker_version 3.4.0

%if 0%{with with_rss}
%global systemd_units tracker-extract-3.service tracker-miner-fs-3.service tracker-miner-fs-control-3.service tracker-miner-rss-3.service tracker-writeback-3.service
%else
%global systemd_units tracker-extract-3.service tracker-miner-fs-3.service tracker-miner-fs-control-3.service tracker-writeback-3.service
%endif

# Exclude private libraries from autogenerated provides and requires
%global __provides_exclude_from ^%{_libdir}/tracker-miners-3.0/
%global __requires_exclude ^(libtracker-extract\.so|libtracker-miner-3\.0\.so|libextract-.*\.so|libwriteback-.*\.so)

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           tracker-miners
Version:        3.4.3
Release:        %{anolis_release}%{?dist}
Summary:        Tracker miners and metadata extractors

# libtracker-extract and libtracker-miner libraries are LGPLv2+; the miners are a mix of GPLv2+ and LGPLv2+ code
License:        GPLv2+ and LGPLv2+
URL:            https://gnome.pages.gitlab.gnome.org/tracker/
Source0:        https://download.gnome.org/sources/tracker-miners/3.3/tracker-miners-%{tarball_version}.tar.xz

BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  giflib-devel
BuildRequires:  meson
BuildRequires:	gettext
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(dbus-1)
%if 0%{?with_enca}
BuildRequires:  pkgconfig(enca)
%endif
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
%if 0%{?with_libcue}
BuildRequires:  pkgconfig(libcue)
%endif
BuildRequires:  pkgconfig(libexif)
%if 0%{?with_rss}
BuildRequires:  pkgconfig(libgrss)
%endif
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libseccomp)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(totem-plparser)
BuildRequires:  pkgconfig(tracker-sparql-3.0) >= %{tracker_version}
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(libosinfo-1.0)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(upower-glib)

Obsoletes:      tracker3-miners < 3.1.0~rc
Conflicts:      tracker3-miners < 3.1.0~rc
Provides:       tracker3-miners = %{version}-%{release}
Provides:       tracker3-miners = %{version}-%{release}

Requires:       tracker >= %{tracker_version}

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database and search tool.

This package contains various miners and metadata extractors for tracker.


%prep
%autosetup -p1 -n tracker-miners-%{tarball_version}


%build
%meson \
  -Dtracker_core=system \
%if ! 0%{?with_libcue}
  -Dcue=disabled \
%endif
%if ! 0%{?with_rss}
  -Dminer_rss=false \
%endif
  -Dsystemd_user_services_dir=%{_userunitdir} \
  %{nil}

%meson_build


%install
%meson_install

%find_lang tracker3-miners


%post
%systemd_user_post %{systemd_units}

%preun
%systemd_user_preun %{systemd_units}

%postun
%systemd_user_postun_with_restart %{systemd_units}


%files -f tracker3-miners.lang
%license COPYING*
%doc AUTHORS NEWS README.md
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-fs-3.desktop
%if 0%{?with_rss}
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-rss-3.desktop
%endif
%{_libdir}/tracker-miners-3.0/
%{_libexecdir}/tracker*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3.Miner.Files.Index.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3.Miner.xml
%{_datadir}/dbus-1/services/%{domain_ontology}.Tracker*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/tracker3-miners/
%{_mandir}/man1/tracker*.1*
%{_userunitdir}/tracker*.service


%changelog
* Sun Jan 15 2023 Funda Wang <fundawang@yeah.net> - 3.4.3-1
- New version 3.4.3

* Tue Dec 6 2022 Funda Wang <fundawang@yeah.net> - 3.4.2-1
- New version 3.4.2

* Mon Dec 05 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.4.1-2
- rebuild with icu update

* Fri Nov 25 2022 Funda Wang <fundawang@yeah.net> - 3.4.1-1
- New version 3.4.1

* Wed May 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.0-3
- fix install warning of missing tracker-miner-rss-3.service

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.0-2
- Bump version to rebuild with icu-71

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.0-1
- init from upstream
